#!/usr/bin/sh

read -r URL GARBAGE;

REQUEST_URL=${URL%?};       # Remove "\r" at the end
URL_NO_PROTOCOL=${REQUEST_URL#*://}
REQUEST_PATH=/${URL_NO_PROTOCOL#*/}
REQUEST_QUERY=${URL#*\?}

echo "$REQUEST_PATH" | awk \
    -v REQUEST_PATH="$REQUEST_PATH" \
    -v REQUEST_QUERY="$REQUEST_QUERY" \
    -v REQUEST_URL="$REQUEST_URL" \
    -f srv/exec.awk \
    -f srv/response.awk \
    -f srv/tags.awk \
    -f srv/main.awk
