BEGIN {
    response_code = "51"
    response_meta = "text/gemini"
    response_body = ""
}

END {
    printf "%s %s\r\n", response_code, response_meta;
    print response_body
}

function response_ok() {
    response_code = "20"
}

function response_reset() {
    response_body = ""
}

function println( arg ) {
    response_body = response_body "\n" arg;
}
